<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui" template="/template/template.xhtml">
	<ui:param name="page_name" value="Accueil" />
	<ui:define name="content">
	

	<h1>List Claims</h1>
	<h:form>
	<div class="card shadow mb-4">
		<h:dataTable value="#{reclamationBean.lr}" var="rec"  class="table-responsive">
			<h:column>
				<f:facet name="header">
					<h:outputText value="Claim Description" />
				</f:facet>
				<h:outputText value="#{rec.descr}" />
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:outputText value="Claim Objet" />
				</f:facet>
				<h:outputText value="#{rec.objet}" />
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:outputText value="Claim date" />
				</f:facet>
				<h:outputText value="#{rec.recDate}" />
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:outputText value="Claim Response Date" />
				</f:facet>
				<h:outputText value="#{rec.repDate}" />
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:outputText value="Claim Reponse" />
				</f:facet>
				<h:outputText value="#{rec.reponse}" />
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:outputText value="Claim Status" />
				</f:facet>
				<h:outputText rendered="#{rec.statu==0}" value="non traitee" >  </h:outputText>
				<h:outputText rendered="#{rec.statu==1}" value="traitee" >  </h:outputText>
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:outputText value="Claim Type" />
				</f:facet>
				
				<h:outputText rendered="#{rec.type==1}" value="quiz" >  </h:outputText>
				<h:outputText rendered="#{rec.type==2}" value="entretien" >  </h:outputText>
				<h:outputText rendered="#{rec.type==3}" value="test" >  </h:outputText>
				</h:column>

			<h:column>
				<f:facet name="header">
					<h:outputText value="Action" />
				</f:facet>
				
				
				
			
			

 
               
				<h:commandButton 
					action="#{reclamationBean.detailsReclamation(rec.quizID)}"
					value="Update"></h:commandButton>
				 
				<h:commandButton 
					action="#{reclamationBean.supprimerReclamationAdmin(rec.quizID)}"
					value="Delete"></h:commandButton> 
					 

			</h:column>

		</h:dataTable>
		</div>
	</h:form>


</ui:define>
</ui:composition>

